Results 1 to 2 of 2
  1. #1
    Join Date
    Dec 2004
    Location
    Redcliffe QLD, Australia
    Posts
    195
    Plugin Contributions
    1

    Default SQL Patches with TYPE=MyISAM are failing

    I'd dearly love to get my next website up as a v1.5.0, but I'm having issues installing SQL patches for many of the v1.5.0 compatible MODS.

    My dev platform is MOWES which I've used for years. Current version using
    Apache 2.2.11
    PHP 5.3.5
    MySql 5.5.8
    Running on a win7 box

    I manually created my UTF8 database using PhpMyAdmin
    Installed v1.5.0 without issue - Awesome BTW.

    The SQL patches fail to import in both Zencart SQL patch util and also when using PhpMyAdmin.

    Any SQL patch file that starts with something similar to this fails:
    CREATE TABLE `notes_categories` (
    `notes_categories_id` int(11) NOT NULL auto_increment,
    `notes_categories_name` varchar(64) default NULL,
    PRIMARY KEY (`notes_categories_id`)
    ) TYPE=MyISAM;
    From PhpMyAdmin I get the following error:
    #1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'TYPE=MyISAM' at line 5
    Have I got the database configured wrong or am I missing something?

  2. #2
    Join Date
    Jan 2004
    Posts
    59,773
    Blog Entries
    4
    Plugin Contributions
    133

    Default Re: SQL Patches with TYPE=MyISAM are failing

    TYPE=MyISAM is obsolete syntax in MySQL.

    Change your code to ENGINE=MyISAM instead.
    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donations always welcome: www.zen-cart.com/donate

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.

 

 

Similar Threads

  1. Error in table create: 'TYPE=MyISAM' (SOLVED)
    By swguy in forum All Other Contributions/Addons
    Replies: 0
    Last Post: 1 May 2011, 07:04 PM
  2. Replies: 5
    Last Post: 6 Feb 2010, 09:03 PM
  3. Change Storage Engine ( MyISAM to/from InnoDB converter)
    By data_digger in forum All Other Contributions/Addons
    Replies: 11
    Last Post: 17 Dec 2009, 09:56 AM
  4. 1064 You have an error in your SQL syntax ... TYPE=MyISAM
    By rocket707 in forum Installing on a Windows Server
    Replies: 4
    Last Post: 24 Feb 2009, 04:22 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •